XZDEC(1)

NAME
xzdec, lzmadec - Small .xz and .lzma decompressors

SYNOPSIS
xzdec [option...] [file...]
lzmadec [option...] [file...]

DESCRIPTION
xzdec is a liblzma-based decompression-only tool for .xz (and only .xz) files. xzdec is intended to work as a drop-in replacement for xz(1) in the most common situations where a script has been written to use xz --decompress --stdout (and possibly a few other commonly used options) to decompress .xz files. lzmadec is identical to xzdec except that lzmadec supports .lzma files instead of .xz files.

To reduce the size of the executable, xzdec doesn't support multithreading or localization, and doesn't read options from XZ_DEFAULTS and XZ_OPT environment variables. xzdec doesn't support displaying intermediate progress information: sending SIGINFO to xzdec does nothing, but sending SIGUSR1 terminates the process instead of displaying progress information.

OPTIONS

-d, --decompress, --uncompress
    Ignored for xz(1) compatibility. xzdec supports only decompression.

-k, --keep
    Ignored for xz(1) compatibility. xzdec never creates or removes any files.

-c, --stdout, --to-stdout
    Ignored for xz(1) compatibility. xzdec always writes the decompressed data to standard output.

-q, --quiet
    Specifying this once does nothing since xzdec never displays any warnings or notices. Specify this twice to suppress errors.

-Q, --no-warn
    Ignored for xz(1) compatibility. xzdec never uses the exit status 2.

-h, --help
    Display a help message and exit successfully.

-V, --version
    Display the version number of xzdec and liblzma.

EXIT STATUS

0   All was good.

1   An error occurred.

xzdec doesn't have any warning messages like xz(1) has, thus the exit status 2 is not used by xzdec.

NOTES
Use xz(1) instead of xzdec or lzmadec for normal everyday use. xzdec or lzmadec are meant only for situations where it is important to have a smaller decompressor than the full-featured xz(1).

xzdec and lzmadec are not really that small. The size can be reduced further by dropping features from liblzma at compile time, but that shouldn't usually be done for executables distributed in typical non-embedded operating system distributions. If you need a truly small .xz decompressor, consider using XZ Embedded.

SEE ALSO
xz(1)

XZ Embedded: <https://xz.tukaani.org/xz-embedded/>